<?php
$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_b93155ab57082" . "2d94f80f2b49ac" . "bdcde" => base64_decode("dXJsZGVj" . "b2Rl"), "ur" . "l" => base64_decode("dX" . "Js"), "titl" . "e" => base64_decode("dG" . "l0" . "bG" . "U="), "messag" . "e" => base64_decode("bWVzc2Fn" . "ZQ=="), "_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d" => base64_decode("bG1" . "zZw" . "=="), "_fe2579cea630b" . "e3ef73ecaa47a2" . "6a59f" => base64_decode("cGVvcGxlLm15" . "X2luZm9iYXIu" . "Ym9va21hcmtf" . "YWRkZWQ="), "_4c510e5" . "adc73685" . "60eb3dd6" . "ed429e5c" . "5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc3Nf" . "cmVzcG9uc2UucGhw"), "_a62d761f3e831ff9d9" . "da39f9c26ecddc" => base64_decode("Li4vY29tbW9uL2NvcmUuc" . "Ghw"));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a62d761" . "f3e831ff" . "9d9da39f" . "9c26ecdd" . "c"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_b93155ab570822d94f80f2b49acbdcd" . "e"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["ur" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_b93155ab570822d94f80" . "f2b49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["t" . "i" . "t" . "l" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8b3" . "ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_fe2579cea630be3ef73ecaa47" . "a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["mes" . "sag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4c510e5adc7368" . "560eb3dd6ed429e" . "5c5"];